Runtime

## org.eclipse.gmf.runtime.diagram.core.listener
Interface DiagramEventBroker.DiagramEventBrokerFactory

Enclosing class:
  DiagramEventBroker

    public static interface DiagramEventBroker.DiagramEventBrokerFactory

Factory interface that can be used to create overrides of the DiagramEventBroker class

Method Summary
`DiagramEventBroker` `createDiagramEventBroker(TransactionalEditingDomain editingDomain)`

Method Detail

### createDiagramEventBroker

    DiagramEventBroker createDiagramEventBroker(TransactionalEditingDomain editingDomain)

  Parameters:
    `editingDomain` - the `TransactionalEditingDomain` that is associated with the `DiagramEventBroker` instance.
  Returns:
    the `DiagramEventBroker` instance.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.